//*********************************************************************
//																	 //
//	SQL Power Injector 1.0 Copyright (c) 2006 Francois Larouche		 //
//																	 //
//  Author	: francois.larouche@sqlpowerinjector.com				 //
//	Web Site: www.sqlpowerinjector.com								 //
//																	 //
//*******************************************************************//
using System;

namespace SQLPowerInjector
{
	/// <summary>
	/// Summary description for ResultItem.
	/// </summary>
	internal class CResultItem
	{
		private string  status;
		private string  SQLError;

		public CResultItem()
		{
			status  = "";
			SQLError = "";
		}

		public CResultItem(string st, string SQLErr)
		{
			status  = st;
			SQLError = SQLErr;
		}

		public string ItemStatus
		{
			get { return status; }
			set { status = value; }
		}
	
		public string ItemSQLError
		{
			get { return SQLError; }
			set { SQLError = value; }
		}
	}

	internal class CHtmlInputInject
	{
		private string _name;
		private string _startStr;
		private string _varyingStr;
		private string _endStr;
		private bool _isSelected;

		public CHtmlInputInject()
		{
			_name  = "";
			_startStr = "";
			_varyingStr = "";
			_endStr = "";
			_isSelected = false;
		}

		public CHtmlInputInject(string name, string startingString, string varyingString, string endingString, bool isSelected)
		{
			_name = name;
			_startStr = startingString;
			_varyingStr = varyingString;
			_endStr = endingString;
			_isSelected = isSelected;
		}

		public string ItemName
		{
			get { return _name; }
			set { _name = value; }
		}
	
		public string ItemStartingString
		{
			get { return _startStr; }
			set { _startStr = value; }
		}

		public string ItemVaryingString
		{
			get { return _varyingStr; }
			set { _varyingStr = value; }
		}

		public string ItemEndingString
		{
			get { return _endStr; }
			set { _endStr = value; }
		}
		
		public bool ItemIsSelected
		{
			get { return _isSelected; }
			set { _isSelected = value; }
		}
	}

	internal class CHtmlInputNotInject
	{
		private string _name;
		private string _inputValue;

		public CHtmlInputNotInject()
		{
			_name  = "";
			_inputValue = "";
		}

		public CHtmlInputNotInject(string name, string inputValue)
		{
			_name  = name;
			_inputValue = inputValue;
		}

		public string ItemName
		{
			get { return _name; }
			set { _name = value; }
		}
	
		public string ItemInputValue
		{
			get { return _inputValue; }
			set { _inputValue = value; }
		}
	}
}
