//*********************************************************************
//																	 //
//	SQL Power Injector 1.0 Copyright (c) 2006 Francois Larouche		 //
//																	 //
//  Author	: francois.larouche@sqlpowerinjector.com				 //
//	Web Site: www.sqlpowerinjector.com								 //
//																	 //
//*******************************************************************//
using System;
using System.IO;

namespace SQLPowerInjector
{
	/// <summary>
	/// Summary description for CustomFile.
	/// </summary>
	public class CustomFile
	{
		public CustomFile()	{}

		public static void WriteFile(String input, string nameFile, string fileExt, bool createNew) 
		{
			// Write to a temp directory which ASPNET has access to
			string fname = Environment.GetEnvironmentVariable("TEMP") + "\\" + nameFile + "." + fileExt;
			FileInfo finfo = new FileInfo(fname);
        
			if(createNew && finfo.Exists)
			{
				string shortDateTimeString = Convert.ToString(DateTime.Today.Day) + Convert.ToString(DateTime.Today.Month) +
					Convert.ToString(DateTime.Today.Year) + "-" + Convert.ToString(DateTime.Now.Hour) +
					"h" + Convert.ToString(DateTime.Now.Minute) + "s" + Convert.ToString(DateTime.Now.Second);

				finfo = new FileInfo(Environment.GetEnvironmentVariable("TEMP") + "\\" + nameFile + 
					"-" + shortDateTimeString + "." + fileExt);
			}
			// Only allow a file length of 2k
			/*	if ( finfo.Exists && finfo.Length > 2048 )
				{
					finfo.Delete();
				}*/
        
			
			using(FileStream fs = finfo.OpenWrite())
			{
				StreamWriter w = new StreamWriter(fs);
				w.BaseStream.Seek(0, SeekOrigin.End);

				w.Write(input + "\n");

				w.Flush();

				w.Close();
			}
		}
	}
}
